Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class Importance

    java.lang.Object
      portlets.compoze.groupware.Importance

All Implemented Interfaces:
  java.io.Serializable

public class Importance
extends java.lang.Object
implements java.io.Serializable

This class represents message importance.

See Also:
  Serialized Form

Field Summary
`static Importance` | `HIGH` This value represents a 'high' importance.
`static Importance` | `LOW` This value represents a 'low' importance.
`static Importance` | `NORMAL` This value represents a 'normal' importance.
`static int` | `VALUE_HIGH` This value represents the 'high' value.
`static int` | `VALUE_LOW` This value represents the 'low' value.
`static int` | `VALUE_NORMAL` This value represents the 'normal' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Importance` | `get(int iValue)` Gets the importance by the value.
`static java.util.List` | `getImportances()` Gets the list of importance objects.
`java.lang.String` | `getKey()` Gets the key (message name) for i18n.
`int` | `getValue()` Gets the value of the importance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_LOW

    public static final int VALUE_LOW

  This value represents the 'low' value.

  See Also:
    Constant Field Values

### VALUE_NORMAL

    public static final int VALUE_NORMAL

  This value represents the 'normal' value.

  See Also:
    Constant Field Values

### VALUE_HIGH

    public static final int VALUE_HIGH

  This value represents the 'high' value.

  See Also:
    Constant Field Values

### LOW

    public static final Importance LOW

  This value represents a 'low' importance.

### NORMAL

    public static final Importance NORMAL

  This value represents a 'normal' importance.

### HIGH

    public static final Importance HIGH

  This value represents a 'high' importance.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (message name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the importance.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static Importance get(int iValue)

  Gets the importance by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching importance or `null` if not found

### getImportances

    public static java.util.List getImportances()

  Gets the list of importance objects.

  Returns:
    the list of `Importance` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.